List data-deletion jobs
curl --request GET \
--url https://api.withsplendor.com/v1/admin/data-deletion-jobs \
--header 'Authorization: Bearer <token>' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>'import requests
url = "https://api.withsplendor.com/v1/admin/data-deletion-jobs"
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.withsplendor.com/v1/admin/data-deletion-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"completed_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"error_message": null,
"item_failed_count": 0,
"item_pending_count": 0,
"item_running_count": 0,
"item_succeeded_count": 1,
"item_total_count": 1,
"job_id": "ddl_01H8Z3",
"requested_by": "user_01H8Z3",
"scope": "dataset",
"started_at": "2026-01-15T09:30:00Z",
"status": "succeeded",
"target_dataset_id": "app-logs",
"target_source_id": null,
"target_upload_session_id": null,
"tenant_id": "acme",
"updated_at": "2026-01-15T09:30:00Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Operations
List data-deletion jobs
Lists the managed data-deletion jobs in the selected tenant.
GET
/
v1
/
admin
/
data-deletion-jobs
List data-deletion jobs
Authorizations
API token issued from the Splendor console.
Headers
Selects the tenant (workspace) the request acts within.
Query Parameters
Required range:
1 <= x <= 500Response
Successful Response
Show child attributes
Show child attributes
⌘I